Package plugins :: Package core :: Package complete :: Module domain_base :: Class BaseDomain |
[hide private]
[frames] | no frames]

# Class BaseDomain

source code

    object --+
             |
            BaseDomain

Base abstract domain class

Instance Methods | [hide private]
__init__(self) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
prepare(self) Preparation stuff | source code
finalize(self) Finalization stuff | source code
complete(self, buf) Take current buffer and return list-generator of all matched entries in current domain. | source code
Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__str__`

Properties | [hide private]
Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)

### complete(self, buf) | source code
    Take current buffer and return list-generator of all
            matched entries in current domain.

    @param buf: List of comma-separated strings from initial buffer
    @return: list-generator